FROM ghcr.io/sigstore/cosign/cosign:v2.4.1 as cosign-bin

FROM registry.fedoraproject.org/fedora:%%RELEASE%%

COPY --from=cosign-bin /ko-app/cosign /usr/bin/cosign

RUN dnf -y upgrade && \
     dnf -y install --allowerasing \
        buildah \
        dbus-daemon \
        distribution-gpg-keys \
        file \
        flatpak \
        git-core \
        jq \
        just \
        lorax \
        ostree \
        podman \
        python3-pyyaml \
        rpm-ostree \
        selinux-policy-targeted \
        skopeo \
        tar \
        zstd \
    && dnf clean all
